/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.extension.jfx;

import com.vektorsoft.demux.samples.extension.jfx.SimpleViewCallback;
import java.util.HashMap;
import java.util.Map;
import javafx.scene.Node;
import javafx.scene.text.Text;

/**
 *
 * @author Vladimir Djurovic
 */
public class ExtensionViewCallback extends SimpleViewCallback {
    
    private Text txt;
    
    private int value;
    private Map<String, Object> dataMap = new HashMap<String, Object>();

    @Override
    public Node getSubviewRoot() {
        txt = new Text("Extension: random number: " + 0);
        return txt;
    }

    @Override
    public void render() {
        txt.setText("Extension: random number: " + value);
    }

    @Override
    public Map<String, Object> getCallbackData() {
        dataMap.put("randomVal", value);
        return dataMap;
    }

    @Override
    public void setDataValuesFromModel(Map<String, Object> dataMap) {
        if(dataMap.containsKey("randomVal")){
            value = (Integer)dataMap.get("randomVal");
        }
    }

    @Override
    public String[] getResourceBundles() {
        return  new String[]{"extension"};
    }
    
     
    

}
