/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.props;

import com.vektorsoft.demux.core.app.DMXCoreConstants;
import com.vektorsoft.demux.core.mva.DMXAdapter;
import com.vektorsoft.demux.desktop.jfx.gui.JFXPropertyChangeHandler;
import javafx.beans.value.ObservableValue;


/**
 *
 * @author Vladimir Djurovic
 */
public class CheckListener extends JFXPropertyChangeHandler<Boolean>{
    
    public CheckListener(DMXAdapter adapter){
        super(adapter, "selectedProperty");
        addComponentId("cbox");
    }

    @Override
    public void changed(ObservableValue<? extends Boolean> ov, Boolean t, Boolean t1) {
        System.out.println("Property Changed, new val " + t1.booleanValue());
        adapter.invokeController(DMXCoreConstants.CTRL_PROPERTY_BIND, "bindVarName", t1.booleanValue());
    }

    

}
