/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.views.activate;

import com.vektorsoft.demux.core.annotations.DMXViewDeclaration;
import com.vektorsoft.demux.core.dlg.DMXDialog;
import com.vektorsoft.demux.core.mva.DMXAdapter;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.layout.VBox;

/**
 *
 * @author Vladimir Djurovic
 */
@DMXViewDeclaration (viewID = "dialog-view", parentViewId = "", isDialog = true, title = "Dialog view title")
public class DialogView {

    private DMXAdapter adapter;
    
    @DMXViewDeclaration.ViewUI
    private VBox root;
    
    private DMXDialog dialog;
    
    public DialogView(DMXAdapter adapter){
        this.adapter = adapter;
    }
    
    @DMXViewDeclaration.ConstructUI
    public void createUI(){
        root = new VBox(10);
        
        Label label = new Label("This is dialog view");
        root.getChildren().add(label);
        
        Button button = new Button("Close");
        root.getChildren().add(button);
    }
    
    @DMXViewDeclaration.Render
    public void render(){
        
    }

    public VBox getRoot() {
        return root;
    }

    public void setRoot(VBox root) {
        this.root = root;
    }

    public void setDialog(DMXDialog dialog) {
        this.dialog = dialog;
    }

    public DMXDialog getDialog() {
        return dialog;
    }
    
}
